Package com.verisign.epp.framework

## Interface EPPByteArrayAssembler

- All Known Implementing Classes:
    `EPPXMLByteArrayAssembler`, `HttpEPPXMLAssembler`

      public interface EPPByteArrayAssembler

  The `EPPByteArrayAssembler` interface defines an interface for serializing `EPPEvent` objects and `EPPEventResponse` objects to and from byte arrays.
  See Also:
    `EPPXMLByteArrayAssembler`, `EPPEventResponse`, `EPPEvent`, `EPPAssemblerException`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EPPEvent` | `decode​(byte[] aInputBytes, java.lang.Object aData)` | Takes an `byte` array and creates a `EPPEvent`.
    `byte[]` | `encode​(EPPEventResponse aResponse, java.lang.Object aData)` | Takes an `EPPEventResponse` and serializes the response as a byte array.

- - ### Method Detail

    - #### encode

          byte[] encode​(EPPEventResponse aResponse,
                        java.lang.Object aData)
                 throws EPPAssemblerException

      Takes an `EPPEventResponse` and serializes the response as a byte array.
      Parameters:
        `aResponse` - The response that will be serialized
        `aData` - A data object which can be used to store context information.
      Returns:
        `byte` array containing the encoded data.
      Throws:
        `EPPAssemblerException` - Error converting the `EPPEventResponse` to a byte array.

    - #### decode

          EPPEvent decode​(byte[] aInputBytes,
                          java.lang.Object aData)
                   throws EPPAssemblerException

      Takes an `byte` array and creates a `EPPEvent`.
      Parameters:
        `aInputBytes` - The byte array containing the request data.
        `aData` - A data object which can be used to store context information.
      Returns:
        EPPEvent The `EPPEvent` that is created from the input bytes.
      Throws:
        `EPPAssemblerException` - Error creating the `EPPEvent`